
%bcond_with	snap	# include shapshot information in version,
			# should be used only in official Th spanhots

%define snapshot	2012

# CPE_NAME = cpe:/ {part} : {vendor} : {product} : {version} : {update} : {edition} : {language}
# http://cpe.mitre.org/specification/
# http://csrc.nist.gov/publications/nistir/ir7695/NISTIR-7695-CPE-Naming.pdf

%if %{with snap}
%define	distname	Th/%{snapshot}
%define cpename		cpe:/o:pld-linux:pld:%{distversion}:%{snapshot}
%else
%define	distname	Th
%define cpename		cpe:/o:pld-linux:pld:%{distversion}
%endif
%define	distversion	3.0
%define	distrelease	"%{distversion} PLD Linux (%{distname})"

Summary:	PLD Linux release file
Summary(cs.UTF-8):	Soubor s číslem verze systému PLD Linux
Summary(da.UTF-8):	PLD Linux release fil
Summary(de.UTF-8):	PLD Linux Release-Datei
Summary(es.UTF-8):	El fichero con la versión de PLD Linux
Summary(fr.UTF-8):	Fichier de version de PLD Linux
Summary(id.UTF-8):	File rilis PLD Linux
Summary(is.UTF-8):	Útgáfuskráin fyrir PLD Linux
Summary(it.UTF-8):	File della release di PLD Linux
Summary(ja.UTF-8):	PLD Linux リリースファイル
Summary(ko.UTF-8):	PLD Linux 배포 파일
Summary(nb.UTF-8):	PLD Linux release fil
Summary(pl.UTF-8):	Wersja Linuksa PLD
Summary(pt.UTF-8):	O ficheiro de versão final do PLD Linux
Summary(ru.UTF-8):	Файл релиза PLD Linux
Summary(sk.UTF-8):	Súbor označujúci verziu PLD Linux
Summary(sl.UTF-8):	Datoteka s podatki o izdaji PLD Linuxa
Summary(sv.UTF-8):	PLD Linux versionsfil
Summary(tr.UTF-8):	PLD Linux sürüm dosyası
Summary(zh_CN.UTF-8):	PLD Linux 版本文件。
Name:		issue
Version:	%{distversion}
Release:	1%{?with_snap:.%{snapshot}}
License:	GPL
Group:		Base
Provides:	issue-package
Obsoletes:	issue-alpha
Obsoletes:	issue-fancy
Obsoletes:	issue-logo
Obsoletes:	issue-package
Obsoletes:	issue-pure
Conflicts:	issue-alpha < 3.0-1
Conflicts:	issue-fancy < 3.0-1
Conflicts:	issue-logo < 3.0-1
Conflicts:	issue-nice < 3.0-1
Conflicts:	issue-pure < 3.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PLD Linux release file.

%description -l cs.UTF-8
Soubor s číslem verze systému PLD Linux.

%description -l da.UTF-8
PLD Linux release fil.

%description -l de.UTF-8
PLD Linux Release-Datei.

%description -l es.UTF-8
El fichero con la versión de PLD Linux.

%description -l fr.UTF-8
Fichier de version de PLD Linux.

%description -l id.UTF-8
File rilis PLD Linux.

%description -l is.UTF-8
Útgáfuskráin fyrir PLD Linux.

%description -l it.UTF-8
File della release di PLD Linux.

%description -l ja.UTF-8
PLD Linux リリースファイル

%description -l ko.UTF-8
PLD Linux 배포 파일.

%description -l nb.UTF-8
PLD Linux release fil.

%description -l pl.UTF-8
Wersja Linuksa PLD.

%description -l pt.UTF-8
O ficheiro de versão final do PLD Linux.

%description -l ru.UTF-8
Файл релиза PLD Linux.

%description -l sk.UTF-8
Súbor označujúci verziu PLD Linux.

%description -l sl.UTF-8
Datoteka s podatki o izdaji PLD Linuxa.

%description -l sv.UTF-8
PLD Linux versionsfil.

%description -l tr.UTF-8
PLD Linux sürüm dosyası.

%description -l zh_CN.UTF-8
PLD Linux 版本文件。

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

cat > $RPM_BUILD_ROOT%{_sysconfdir}/issue <<EOF
 .------------------------< PLD Linux %{distversion} (%{distname}) >------------------------*
:|:
:|:  Welcome to \n
:|:  \d \t
:|:
 \`---{ \U }---[ \r ]---( \m )------*


EOF
echo -ne "\l " >> $RPM_BUILD_ROOT%{_sysconfdir}/issue

cat > $RPM_BUILD_ROOT%{_sysconfdir}/issue.net <<EOF
 .------------------------< PLD Linux %{distversion} (%{distname}) >--------*
:|:
:|:  Welcome to %h
:|:  %d
:|:
 \`-----------[ %r ]--( %m )------*

EOF

echo %{distrelease} > $RPM_BUILD_ROOT%{_sysconfdir}/pld-release

cat >$RPM_BUILD_ROOT%{_sysconfdir}/os-release <<EOF
NAME="PLD Linux"
VERSION="%{distversion} (%{distname})"
ID="pld"
VERSION_ID="%{distversion}"
PRETTY_NAME="PLD Linux %{distversion} (%{distname})"
ANSI_COLOR="0;32"
CPE_NAME="%{cpename}"
HOME_URL="http://www.pld-linux.org/"
BUG_REPORT_URL="http://bugs.pld-linux.org/"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_sysconfdir}/os-release
%{_sysconfdir}/pld-release
%config(noreplace) %{_sysconfdir}/issue*
%changelog
* Sat Sep 01 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/issue.git;a=log;h=master

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> c16161c
Use canonical short url for BUG_REPORT_URL

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> 0443cae
Conflicts tag need a release

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> 67e5665
Added BUG_REPORT_URL to /etc/os-release

* Mon Aug 20 2012 Jan Rękorajski <baggins@pld-linux.org> 149bf4f
Change version to 3.0 and add snap bcond

* Thu Feb 16 2012 Jan Rękorajski <baggins@pld-linux.org> afaf2ec
- relup
- drop foreign obsoletes
- add /etc/os-release (http://www.freedesktop.org/software/systemd/man/os-release.html)

* Thu Feb 16 2012 Jan Rękorajski <baggins@pld-linux.org> ba02652
- added /etc/os-release (http://www.freedesktop.org/software/systemd/man/os-release.html)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> cb28dca
- dropped pre-cvs changelog

* Wed Aug 08 2007 Patryk Zawadzki <patrys@room-303.com> b3941c4
- add conflicts where affected
- add P/O issue-package
- rel up

* Sun Aug 05 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 61221b7
-rel.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 51f86ab
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5dac293
- converted to UTF-8

* Tue Apr 25 2006 Adam Gołębiowski <adamg@pld-linux.org> ad463d9
- 2.99 (Th)

* Sun Jan 22 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 049865a
- update for AC 2.0

* Thu Jul 29 2004 Jakub Bogusz <qboosh@pld-linux.org> 68156c0
- release 2

* Thu Jul 29 2004 Jakub Bogusz <qboosh@pld-linux.org> 3345e41
- removed \ec from issue (needed for mingetty --noclear to work)

* Thu Jul 29 2004 Jakub Bogusz <qboosh@pld-linux.org> e2bea25
- added empty prep for ./builder

* Mon Feb 16 2004 Jakub Bogusz <qboosh@pld-linux.org> b92155a
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

* Tue Nov 11 2003 ankry <ankry@pld-linux.org> 65ee13b
- caps unification, other cosmetics

* Sat Oct 25 2003 pzurowski <pzurowski@pld-linux.org> f24e159
- added %%{distversion}, %%{distname} and %%{distrelease} macros

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 2ec6eb8
- massive attack s/pld.org.pl/pld-linux.org/

